{namespace twoh=TWOH\TwohKickstarter\ViewHelpers}

<div class="iconcard card {f:if(condition: data.hideOnMobile, then: 'd-none d-md-block')}
{f:if(condition: data.margin, then: 'm{data.marginPos}{data.margin}')}">
    <f:link.typolink parameter="{data.url}" class="text-decoration-none">
        <div class="card-body text-center d-flex flex-column justify-content-center p-3">
            <div class="m-auto">
                <div class="d-flex justify-content-center iconcard-fixed-svg-height">
                    <twoh:svg svgPath="{data.icon}.svg"/>
                </div>
                <div class="text-center mb-2">
                        <span>
                            <f:render section="Headline" arguments="{_all}" />
                        </span>
                </div>
            </div>
            <div class="position-absolute end-1 bottom-1 {data.iconColor}">
                <twoh:svg svgPath="SG_ArrowRight.svg"/>
            </div>
        </div>
    </f:link.typolink>
</div>

<f:section name="Headline">
    <{data.headlines} class="{data.headlines} {data.textColor} mb-0 lh-1">
        {data.header}
    </{data.headlines}>
</f:section>